%define version 3.0.2
%define releasedate 20050404
%define release 1.%{releasedate}.1mdk

##### RPM PROBLEM WORKAROUNDS

# Suppress automatically generated Requires for Perl libraries.
#define _requires_exceptions perl\(.*\)
  
#define _unpackaged_files_terminate_build       0 
#define _missing_doc_files_terminate_build      0

##### GENERAL DEFINITIONS

Name:		foomatic-db
Version:	%{version}
Release:	%{release}
Epoch:		1
Summary:        Foomatic printer/driver database
License:        GPL
Group:          System/Servers
Url:            http://www.linuxprinting.org/
Requires:       ghostscript, printer-filters, foomatic-db-engine
BuildArchitectures: noarch

##### BUILDREQUIRES

BuildRequires:	autoconf2.5 automake foomatic-db-engine

##### FOOMATIC SOURCES

# Foomatic packages
Source:		http://www.linuxprinting.org/download/foomatic/%{name}-%{releasedate}.tar.bz2

##### BUILD ROOT

BuildRoot:	%_tmppath/%name-%version-%release-root


##### PACKAGE DESCRIPTIONS

%description
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate PPD (Postscript Printer Description) files and printer queues
for CUPS, LPD, GNUlpr, LPRng, PPR, and PDQ using the database. There
is also the possibility to read the PJL options out of PJL-capable
laser printers and take them into account at the driver description
file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).
 
The site http://www.linuxprinting.org/ is based on this database.

This package is the Foomatic database, an XML database containing
information about the capabilities of near 1000 printers and around
250 drivers. Especially it contains the information how and with which
options the drivers have to be executed.


%prep
# remove old directory
rm -rf $RPM_BUILD_DIR/%{name}-[0-9]*
mkdir $RPM_BUILD_DIR/%{name}-%{releasedate}

##### FOOMATIC

# Source trees for installation
%setup -q -n %{name}-%{releasedate}



%build

# Makefile generation ("./make_configure" for CVS snapshots)
./make_configure
# Fix for lib64 architectures, avoid patch
perl -pi -e "s@/usr/lib/(cups|pdq|ppr)@%{_libdir}/\1@g" configure
%configure

# "make" is not needed for this package, there is nothing to build

# Delete drivers which are not on the distro (obsolete drivers which are
# replaced by a new driver with a different name)
# "stp" replaced by "gimp-print"
rm -f db/source/driver/stp.xml
# "cZ11" replaced by "cZ11somsom"
rm -f db/source/driver/cZ11.xml
# "cZ11somsom" replaced by "lz11"
rm -f db/source/driver/cZ11somsom.xml
# "hpdj" replaced by "pcl3"
rm -f db/source/driver/hpdj.xml
# "lxm3200[mcp]" replaced by "lxm3200"
rm -f db/source/driver/lxm3200[mcp].xml
# "lxm3200" replaced by "lxm3200-tweaked"
rm -f db/source/driver/lxm3200.xml
# Japanese drivers which are not in our GhostScript
rm -f db/source/driver/bjc800j.xml
rm -f db/source/driver/bj10.xml

# These drivers come with their own Foomatic data. Remove the files
# from this package
rm -f db/source/*/gimp-print*.xml
rm -f db/source/*/foo2*.xml
rm -f db/source/*/lz11*.xml
rm -f db/source/*/m2300w*.xml


# Delete drivers with empty command line prototype, they would give
# unusable printer/driver combos.
FOOMATICDB=`pwd` %{_sbindir}/foomatic-cleanupdrivers

# Correct the default drivers of the printer entries to have a valid
# default for every printer.
#FOOMATICDB=`pwd` %{_sbindir}/foomatic-preferred-driver

#Correct recommended driver "gimp-print", must be "gimp-print-ijs".
for f in db/source/printer/*.xml; do
	perl -p -i -e 's:<driver>gimp-print</driver>:<driver>gimp-print-ijs</driver>:' $f
done


%install

rm -rf %{buildroot}

# Do not use "make" macro, as parallelized build of Foomatic does not
# work.

# Install data files
make	PREFIX=%{_prefix} \
        DESTDIR=%buildroot \
        install

# Install documentation
install -d %buildroot%{_docdir}/foomatic-db-%{version}
cp README USAGE TODO ChangeLog \
	%buildroot%{_docdir}/foomatic-db-%{version}



##### GENERAL STUFF

# Correct permissions for all documentation files
chmod -R a+rX %{buildroot}%{_docdir}
chmod -R go-w %{buildroot}%{_docdir}
chmod -R u+w %{buildroot}%{_docdir}



##### FILES

%files -n foomatic-db
%defattr(-,root,root)
%docdir %{_docdir}/foomatic-db-%{version}
%{_docdir}/foomatic-db-%{version}
%_datadir/foomatic/db


##### CLEAN UP

%clean
rm -rf %{buildroot}

%changelog
* Mon Apr  4 2005 Till Kamppeter <till@mandrakesoft.com> 1:3.0.2-1.20050404.1mdk
- Updated foomatic-db to the state of the 04/04/2005 (New printers: HP 
  DesignJet 500ps, HP DesignJet 100plus, HP LaserJet 4240, HP LaserJet 9040,
  HP Color LaserJet 4610, HP LaserJet 1022, HP Business Inkjet 1000; updates
  for HPLIP 0.9.1/HPIJS 2.1.1; "Resolution" option for "dnj650c" driver).

* Wed Mar 30 2005 Till Kamppeter <till@mandrakesoft.com> 1:3.0.2-1.20050330.1mdk
- Updated foomatic-db to the state of the 30/03/2005 (New printers: HP
  Color LaserJet 35xx, Lexmark Optra E321 (bug 15026); HP LaserJet 101x 
  now used with HPIJS driver, tray selection foe Generic and Lexmark
  PostScript printers (bug 15055), updates for HPLIP 0.9/HPIJS 2.1).

* Thu Mar 17 2005 Till Kamppeter <till@mandrakesoft.com> 1:3.0.2-1.20050318.1mdk
- Updated foomatic-db to the state of the 18/03/2005 (New printers: HP
  DskJet 6600, 9800).

* Fri Mar  4 2005 Till Kamppeter <till@mandrakesoft.com> 1:3.0.2-1.20050304.1mdk
- Updated foomatic-db to the state of the 04/03/2005 (Added 162 new printer
  entries contributed by Ricoh: PostScript printers of the brands
  Ricoh, Lanier, Infotec, Gestetner, Savin, NRG).

* Thu Mar  3 2005 Till Kamppeter <till@mandrakesoft.com> 1:3.0.2-1.20050303.1mdk
- Updated foomatic-db to the state of the 03/03/2005 (Added 33 new Epson
  laser printers: Japanese Epson LP series, Epson AcuLaser C9100; renamed
  driver entry "epkowa-laser" to "eplaser", new driver entry "eplaser-jp").

* Fri Feb 25 2005 Till Kamppeter <till@mandrakesoft.com> 1:3.0.2-1.20050225.1mdk
- Updated foomatic-db to the state of the 25/02/2005 (Corrected recommended
  driver for printers to be used with the "lxm3200-tweaked" driver).

* Thu Feb 24 2005 Till Kamppeter <till@mandrakesoft.com> 1:3.0.2-1.20050224.1mdk
- Updated foomatic-db to the state of the 24/02/2005 (Added support
  for the "oki4w" GhostScript driver for Okidata Okipage 4W and
  compatible printers).

* Tue Feb 22 2005 Till Kamppeter <till@mandrakesoft.com> 1:3.0.2-1.20050222.2mdk
- Updated foomatic-db from CVS again (fixes for the new Ricoh entries).

* Tue Feb 22 2005 Till Kamppeter <till@mandrakesoft.com> 1:3.0.2-1.20050222.1mdk
- Updated foomatic-db to the state of the 22/02/2005 (Added printer
  entries contributed by Ricoh: PostScript printers of the brands
  Ricoh, Lanier, Infotec, Gestetner, Savin, NRG, fixed PPD files
  generated by the "Postscript" driver, they failed "cupstestppd" due
  to the "NotCapable" choice in the "Duplex" option).
- Let version number contain the version of Foomatic again.

* Sat Feb 12 2005 Till Kamppeter <till@mandrakesoft.com> 20050212-2mdk
- Fixed entry for HP DeskJet 6540.

* Fri Feb 11 2005 Till Kamppeter <till@mandrakesoft.com> 20050211-1mdk
- Updated foomatic-db to the state of the 12/02/2005 (full support
  for HP LaserJet 1010/1012 and more).
- Removed Foomatic files for drivers which have their own Foomatic data.

* Thu Feb 10 2005 Till Kamppeter <till@mandrakesoft.com> 20050128-4mdk
- Corrected Gimp-Print as recommended driver, must be "gimp-print-ijs".

* Tue Feb  8 2005 Till Kamppeter <till@mandrakesoft.com> 20050128-3mdk
- Removed the call of "foomatic-preferred-driver".

* Fri Feb  4 2005 Till Kamppeter <till@mandrakesoft.com> 20050128-2mdk
- Added "BuildRequires: foomatic-db-engine".

* Fri Jan 28 2005 Till Kamppeter <till@mandrakesoft.com> 20050128-1mdk
- Updated foomatic-db to the state of the 28/01/2005.
